org.apache.ignite.binary

## Interface BinaryNameMapper

All Known Implementing Classes:
  BinaryBasicNameMapper

    public interface BinaryNameMapper

Maps type and field names to different names. Prepares class/type names and field names before pass them to `BinaryIdMapper`.

Binary name mapper can be configured for all binary objects via `BinaryConfiguration.getNameMapper()` method, or for a specific binary type via `BinaryTypeConfiguration.getNameMapper()` method.

See Also:
  `BinaryIdMapper`

### Method Summary

Methods
`String` `fieldName(String fieldName)` Gets field name.
`String` `typeName(String clsName)` Gets type clsName.

### Method Detail

#### typeName

    String typeName(String clsName)

Gets type clsName.

Parameters:
  `clsName` - Class came
Returns:
  Type name.

#### fieldName

    String fieldName(String fieldName)

Gets field name.

Parameters:
  `fieldName` - Field name.
Returns:
  Field name.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017